<?php
$tdatastatistics_all = array();
$tdatastatistics_all[".searchableFields"] = array();
$tdatastatistics_all[".ShortName"] = "statistics_all";
$tdatastatistics_all[".OwnerID"] = "";
$tdatastatistics_all[".OriginalTable"] = "statistics_all";


$tdatastatistics_all[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatastatistics_all[".originalPagesByType"] = $tdatastatistics_all[".pagesByType"];
$tdatastatistics_all[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatastatistics_all[".originalPages"] = $tdatastatistics_all[".pages"];
$tdatastatistics_all[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatastatistics_all[".originalDefaultPages"] = $tdatastatistics_all[".defaultPages"];

//	field labels
$fieldLabelsstatistics_all = array();
$fieldToolTipsstatistics_all = array();
$pageTitlesstatistics_all = array();
$placeHoldersstatistics_all = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsstatistics_all["English"] = array();
	$fieldToolTipsstatistics_all["English"] = array();
	$placeHoldersstatistics_all["English"] = array();
	$pageTitlesstatistics_all["English"] = array();
	$fieldLabelsstatistics_all["English"]["CountOfnumPers"] = "المقترعين";
	$fieldToolTipsstatistics_all["English"]["CountOfnumPers"] = "";
	$placeHoldersstatistics_all["English"]["CountOfnumPers"] = "";
	$fieldLabelsstatistics_all["English"]["total"] = "المجموع";
	$fieldToolTipsstatistics_all["English"]["total"] = "";
	$placeHoldersstatistics_all["English"]["total"] = "";
	$fieldLabelsstatistics_all["English"]["percentage"] = "نسبة الإقتراع";
	$fieldToolTipsstatistics_all["English"]["percentage"] = "";
	$placeHoldersstatistics_all["English"]["percentage"] = "";
	$fieldLabelsstatistics_all["English"]["ma3"] = "مع";
	$fieldToolTipsstatistics_all["English"]["ma3"] = "";
	$placeHoldersstatistics_all["English"]["ma3"] = "";
	$fieldLabelsstatistics_all["English"]["dod"] = "ضد";
	$fieldToolTipsstatistics_all["English"]["dod"] = "";
	$placeHoldersstatistics_all["English"]["dod"] = "";
	$fieldLabelsstatistics_all["English"]["tachkil"] = "تشكيل";
	$fieldToolTipsstatistics_all["English"]["tachkil"] = "";
	$placeHoldersstatistics_all["English"]["tachkil"] = "";
	$fieldLabelsstatistics_all["English"]["majhoul"] = "مجهول";
	$fieldToolTipsstatistics_all["English"]["majhoul"] = "";
	$placeHoldersstatistics_all["English"]["majhoul"] = "";
	if (count($fieldToolTipsstatistics_all["English"]))
		$tdatastatistics_all[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabelsstatistics_all["Arabic"] = array();
	$fieldToolTipsstatistics_all["Arabic"] = array();
	$placeHoldersstatistics_all["Arabic"] = array();
	$pageTitlesstatistics_all["Arabic"] = array();
	$fieldLabelsstatistics_all["Arabic"]["CountOfnumPers"] = "المقترعين";
	$fieldToolTipsstatistics_all["Arabic"]["CountOfnumPers"] = "";
	$placeHoldersstatistics_all["Arabic"]["CountOfnumPers"] = "";
	$fieldLabelsstatistics_all["Arabic"]["total"] = "المجموع";
	$fieldToolTipsstatistics_all["Arabic"]["total"] = "";
	$placeHoldersstatistics_all["Arabic"]["total"] = "";
	$fieldLabelsstatistics_all["Arabic"]["percentage"] = "نسبة الإقتراع";
	$fieldToolTipsstatistics_all["Arabic"]["percentage"] = "";
	$placeHoldersstatistics_all["Arabic"]["percentage"] = "";
	$fieldLabelsstatistics_all["Arabic"]["ma3"] = "مع";
	$fieldToolTipsstatistics_all["Arabic"]["ma3"] = "";
	$placeHoldersstatistics_all["Arabic"]["ma3"] = "";
	$fieldLabelsstatistics_all["Arabic"]["dod"] = "ضد";
	$fieldToolTipsstatistics_all["Arabic"]["dod"] = "";
	$placeHoldersstatistics_all["Arabic"]["dod"] = "";
	$fieldLabelsstatistics_all["Arabic"]["tachkil"] = "تشكيل";
	$fieldToolTipsstatistics_all["Arabic"]["tachkil"] = "";
	$placeHoldersstatistics_all["Arabic"]["tachkil"] = "";
	$fieldLabelsstatistics_all["Arabic"]["majhoul"] = "مجهول";
	$fieldToolTipsstatistics_all["Arabic"]["majhoul"] = "";
	$placeHoldersstatistics_all["Arabic"]["majhoul"] = "";
	if (count($fieldToolTipsstatistics_all["Arabic"]))
		$tdatastatistics_all[".isUseToolTips"] = true;
}


	$tdatastatistics_all[".NCSearch"] = true;



$tdatastatistics_all[".shortTableName"] = "statistics_all";
$tdatastatistics_all[".nSecOptions"] = 0;

$tdatastatistics_all[".mainTableOwnerID"] = "";
$tdatastatistics_all[".entityType"] = 0;
$tdatastatistics_all[".connId"] = "electiondb_at_ssl_localhost";


$tdatastatistics_all[".strOriginalTableName"] = "statistics_all";

	



$tdatastatistics_all[".showAddInPopup"] = false;

$tdatastatistics_all[".showEditInPopup"] = false;

$tdatastatistics_all[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatastatistics_all[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatastatistics_all[".listAjax"] = false;
//	temporary
$tdatastatistics_all[".listAjax"] = false;

	$tdatastatistics_all[".audit"] = false;

	$tdatastatistics_all[".locking"] = false;


$pages = $tdatastatistics_all[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatastatistics_all[".edit"] = true;
	$tdatastatistics_all[".afterEditAction"] = 1;
	$tdatastatistics_all[".closePopupAfterEdit"] = 1;
	$tdatastatistics_all[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatastatistics_all[".add"] = true;
$tdatastatistics_all[".afterAddAction"] = 1;
$tdatastatistics_all[".closePopupAfterAdd"] = 1;
$tdatastatistics_all[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatastatistics_all[".list"] = true;
}



$tdatastatistics_all[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatastatistics_all[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatastatistics_all[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatastatistics_all[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatastatistics_all[".printFriendly"] = true;
}



$tdatastatistics_all[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatastatistics_all[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatastatistics_all[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatastatistics_all[".isUseAjaxSuggest"] = true;

$tdatastatistics_all[".rowHighlite"] = true;





$tdatastatistics_all[".ajaxCodeSnippetAdded"] = false;

$tdatastatistics_all[".buttonsAdded"] = false;

$tdatastatistics_all[".addPageEvents"] = false;

// use timepicker for search panel
$tdatastatistics_all[".isUseTimeForSearch"] = false;


$tdatastatistics_all[".badgeColor"] = "BC8F8F";


$tdatastatistics_all[".allSearchFields"] = array();
$tdatastatistics_all[".filterFields"] = array();
$tdatastatistics_all[".requiredSearchFields"] = array();




$tdatastatistics_all[".tableType"] = "list";

$tdatastatistics_all[".printerPageOrientation"] = 0;
$tdatastatistics_all[".nPrinterPageScale"] = 100;

$tdatastatistics_all[".nPrinterSplitRecords"] = 40;

$tdatastatistics_all[".geocodingEnabled"] = false;










$tdatastatistics_all[".pageSize"] = 20;

$tdatastatistics_all[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatastatistics_all[".strOrderBy"] = $tstrOrderBy;

$tdatastatistics_all[".orderindexes"] = array();


$tdatastatistics_all[".sqlHead"] = "SELECT CountOfnumPers,  	total,  	percentage,  	ma3,  	dod,  	tachkil,  	majhoul";
$tdatastatistics_all[".sqlFrom"] = "FROM statistics_all";
$tdatastatistics_all[".sqlWhereExpr"] = "";
$tdatastatistics_all[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatastatistics_all[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatastatistics_all[".arrGroupsPerPage"] = $arrGPP;

$tdatastatistics_all[".highlightSearchResults"] = true;

$tableKeysstatistics_all = array();
$tdatastatistics_all[".Keys"] = $tableKeysstatistics_all;


$tdatastatistics_all[".hideMobileList"] = array();




//	CountOfnumPers
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "CountOfnumPers";
	$fdata["GoodName"] = "CountOfnumPers";
	$fdata["ownerTable"] = "statistics_all";
	$fdata["Label"] = GetFieldLabel("statistics_all","CountOfnumPers");
	$fdata["FieldType"] = 20;

	
	
	
			

		$fdata["strField"] = "CountOfnumPers";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CountOfnumPers";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_all["CountOfnumPers"] = $fdata;
		$tdatastatistics_all[".searchableFields"][] = "CountOfnumPers";
//	total
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "total";
	$fdata["GoodName"] = "total";
	$fdata["ownerTable"] = "statistics_all";
	$fdata["Label"] = GetFieldLabel("statistics_all","total");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "total";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "total";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_all["total"] = $fdata;
		$tdatastatistics_all[".searchableFields"][] = "total";
//	percentage
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "percentage";
	$fdata["GoodName"] = "percentage";
	$fdata["ownerTable"] = "statistics_all";
	$fdata["Label"] = GetFieldLabel("statistics_all","percentage");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "percentage";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "percentage";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_all["percentage"] = $fdata;
		$tdatastatistics_all[".searchableFields"][] = "percentage";
//	ma3
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "ma3";
	$fdata["GoodName"] = "ma3";
	$fdata["ownerTable"] = "statistics_all";
	$fdata["Label"] = GetFieldLabel("statistics_all","ma3");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "ma3";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ma3";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_all["ma3"] = $fdata;
		$tdatastatistics_all[".searchableFields"][] = "ma3";
//	dod
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "dod";
	$fdata["GoodName"] = "dod";
	$fdata["ownerTable"] = "statistics_all";
	$fdata["Label"] = GetFieldLabel("statistics_all","dod");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "dod";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dod";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_all["dod"] = $fdata;
		$tdatastatistics_all[".searchableFields"][] = "dod";
//	tachkil
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "tachkil";
	$fdata["GoodName"] = "tachkil";
	$fdata["ownerTable"] = "statistics_all";
	$fdata["Label"] = GetFieldLabel("statistics_all","tachkil");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "tachkil";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tachkil";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_all["tachkil"] = $fdata;
		$tdatastatistics_all[".searchableFields"][] = "tachkil";
//	majhoul
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "majhoul";
	$fdata["GoodName"] = "majhoul";
	$fdata["ownerTable"] = "statistics_all";
	$fdata["Label"] = GetFieldLabel("statistics_all","majhoul");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "majhoul";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "majhoul";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_all["majhoul"] = $fdata;
		$tdatastatistics_all[".searchableFields"][] = "majhoul";


$tables_data["statistics_all"]=&$tdatastatistics_all;
$field_labels["statistics_all"] = &$fieldLabelsstatistics_all;
$fieldToolTips["statistics_all"] = &$fieldToolTipsstatistics_all;
$placeHolders["statistics_all"] = &$placeHoldersstatistics_all;
$page_titles["statistics_all"] = &$pageTitlesstatistics_all;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["statistics_all"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["statistics_all"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_statistics_all()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "CountOfnumPers,  	total,  	percentage,  	ma3,  	dod,  	tachkil,  	majhoul";
$proto0["m_strFrom"] = "FROM statistics_all";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "CountOfnumPers",
	"m_strTable" => "statistics_all",
	"m_srcTableName" => "statistics_all"
));

$proto6["m_sql"] = "CountOfnumPers";
$proto6["m_srcTableName"] = "statistics_all";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "total",
	"m_strTable" => "statistics_all",
	"m_srcTableName" => "statistics_all"
));

$proto8["m_sql"] = "total";
$proto8["m_srcTableName"] = "statistics_all";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "percentage",
	"m_strTable" => "statistics_all",
	"m_srcTableName" => "statistics_all"
));

$proto10["m_sql"] = "percentage";
$proto10["m_srcTableName"] = "statistics_all";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "ma3",
	"m_strTable" => "statistics_all",
	"m_srcTableName" => "statistics_all"
));

$proto12["m_sql"] = "ma3";
$proto12["m_srcTableName"] = "statistics_all";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "dod",
	"m_strTable" => "statistics_all",
	"m_srcTableName" => "statistics_all"
));

$proto14["m_sql"] = "dod";
$proto14["m_srcTableName"] = "statistics_all";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "tachkil",
	"m_strTable" => "statistics_all",
	"m_srcTableName" => "statistics_all"
));

$proto16["m_sql"] = "tachkil";
$proto16["m_srcTableName"] = "statistics_all";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "majhoul",
	"m_strTable" => "statistics_all",
	"m_srcTableName" => "statistics_all"
));

$proto18["m_sql"] = "majhoul";
$proto18["m_srcTableName"] = "statistics_all";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto20=array();
$proto20["m_link"] = "SQLL_MAIN";
			$proto21=array();
$proto21["m_strName"] = "statistics_all";
$proto21["m_srcTableName"] = "statistics_all";
$proto21["m_columns"] = array();
$proto21["m_columns"][] = "CountOfnumPers";
$proto21["m_columns"][] = "total";
$proto21["m_columns"][] = "percentage";
$proto21["m_columns"][] = "ma3";
$proto21["m_columns"][] = "dod";
$proto21["m_columns"][] = "tachkil";
$proto21["m_columns"][] = "majhoul";
$obj = new SQLTable($proto21);

$proto20["m_table"] = $obj;
$proto20["m_sql"] = "statistics_all";
$proto20["m_alias"] = "";
$proto20["m_srcTableName"] = "statistics_all";
$proto22=array();
$proto22["m_sql"] = "";
$proto22["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto22["m_column"]=$obj;
$proto22["m_contained"] = array();
$proto22["m_strCase"] = "";
$proto22["m_havingmode"] = false;
$proto22["m_inBrackets"] = false;
$proto22["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto22);

$proto20["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto20);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="statistics_all";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_statistics_all = createSqlQuery_statistics_all();


	
		;

							

$tdatastatistics_all[".sqlquery"] = $queryData_statistics_all;



$tableEvents["statistics_all"] = new eventsBase;
$tdatastatistics_all[".hasEvents"] = false;

?>